package kz.cafe.client.rest.wrappers;

import java.util.*;
import javax.xml.bind.annotation.*;

@XmlRootElement(name="response")
public class JRCourseListResponse extends JRAbstractDeleteableResponse{
   
   @XmlElementWrapper(name="list")   
   @XmlElement(name="item")   
   public List<JMItem> list = new ArrayList<JMItem>();
   
   
   public JMItem add(){
      JMItem jmItem = new JMItem();
      list.add(jmItem);
      
      return jmItem;
   }
   
   
   public static class JMItem extends JMAbstractDescriptor{
      public Integer category;
      public Integer CID;
      public Integer price;
      public String  ingredients;
      public String  weight;
      public boolean delivery;
   }

   

   public JRCourseListResponse(){
   }


   public JRCourseListResponse(Throwable e){
      super(e);
   }
}
